#Sample code for extracting results and graphing database file described in

# Crozier, L.G. and Siegel, J.E. 
# A comprehensive review of the impacts of climate change on salmon: strengths and weaknesses of the literature by life stage
# submitted to Fishes May, 2023


#Input
     Database_final <- read.csv("Output/Database_final.csv",row.names = 1)
     
#Extract papers that included a management driver for the marine life stage
x<-Database_final[ grepl("Management", Database_final[["Driver"]]) & grepl("Marine", Database_final[["Life_stage"]]),];head(x$Citation)

#Extract papers coded with the label "Evolution" in either Process  category, and exclude more generalized papers  
x<-Database_final[ grepl("Management", Database_final[["Driver"]]),"Citation"];head(x)
x<-Database_final[ grepl("Evolution", Database_final[["Process.Driver"]]) | grepl("Evolution", Database_final[["Process.Response"]]), ];nrow(x)
x<-x[!x$Non.Genetic=="*",];nrow(x)

#report the first 5 papers in this list
head(x$Citation)

#only examine papers that also used laboratory or experimental techniques
x2<-x[ grepl("Lab_Experimental", x[["Type_of_study"]]),];nrow(x2)
head(x2$Citation)
